<div class="section">
    <button 
        class="btn btn-primary"
        (click)= "onDisplay()"
    >Displays Details</button>


<div *ngFor="let display of displays" class="col">
    
    <p  [ngStyle]="{backgroundColor: getColor()}"
        *ngIf="displayHide">Secret Password = tuna counter {{display.valueOf()}}</p>
        
</div>
</div>